Subject: Re: Peach leaf curl

From: [email-masked] (Denita Wallace)
Date: 23 Apr 1996 20:00:01 GMT

Thank you all for the very informative responses to my leaf curl
problem. I actually picked off all the curl by hand from the peach
tree, and the tree looks pretty good. It has a lot of fruit, and I hope
this year the fruit is tastier than the year before. I will be spraying
frequently this fall and winter to prevent curl next year. I wouldn't
be too concerned at all, except the plum tree right next to the peach
is infected to a worse degree. more than 50% of the leaves are
shriveled.It, too has a lot of fruit, but I am afraid the curl damage
will weaken the tree too much.

The main problem with spraying in this area is that the leaves do not
fall off until very late in the winter, and when the trees finally look
dormant, the rains come too frequently to be sure the spray isn't going
to wash right off.